Changes between Version 4 and Version 5 of Linux/Ubuntu/Packages/MerryGoRound


Ignore:
Timestamp:
24/08/08 02:50:01 (9 years ago)
Author:
tj
Comment:

--

Legend:

Unmodified
Added
Removed
Modified
  • Linux/Ubuntu/Packages/MerryGoRound

    v4 v5  
    11= Package Build Merry-Go-Round = 
    2 Sometimes the myriad dependencies of packages can become surreal. I had to share this story - it had be half-way between disbelief and resignation. 
     2Sometimes the myriad dependencies of packages can become surreal. I had to share this story - it had me half-way between disbelief and resignation. 
    33 
    44I had just built and installed Blueman 0.6. One of the features requires Network Manager 0.7 which is only available for the Intrepid development track currently. On Hardy the version is 0.6.6. So I fetched the Intrepid source and tried building it. It needs libdbus-glib 0.76 but Hardy only has 0.74. So I fetch and build the Intrepid source for that too. Then network-manager-gnome (the panel applet) needs updating too so again, fetch the Intrepid source and build for Hardy. To install network-manager it needs wpasupplicant 0.6.3 (Hardy has 0.6.0). To ''build'' wpasupplicant requires the po4a package, and debhelper 7.0 (Hardy has 6.x).